# module Raven::BreadcrumbLogger

### Constants

EXC_FORMAT
LEVELS

### Public Class Methods

parse_exception(message) click to toggle source

    # File lib/raven/breadcrumbs/logger.rb, line 15
    def self.parse_exception(message)
      lines = message.split(/\n\s*/)
      # TODO: wat
      return nil unless lines.length > 2

      match = lines[0].match(EXC_FORMAT)
      return nil unless match

      _, type, value = match.to_a
      [type, value]
    end

### Public Instance Methods

add(*args) click to toggle source
Calls superclass method

    # File lib/raven/breadcrumbs/logger.rb, line 27
    def add(*args)
      add_breadcrumb(*args)
      super
    end